## pd-purest-json 1.4.0~repack

=== Makefile ===
## based on Pd library template version 1.0.14
# For instructions on how to use this template, see:
#  http://puredata.info/docs/developer/MakefileTemplate
LIBRARY_NAME = purest_json

# objects to build from .c files in src/
OBJECTS = rest oauth json-decode json-encode urlparams 

# list all pd objects (i.e. myobject.pd) files here, and their helpfiles will
# be included automatically
PDOBJECTS = 

# example patches and related files, in the 'examples' subfolder
EXAMPLES = purest-json-test.pd the-sound-of-money.pd statistics.pd twitter-client.pd binary-test.pd

# if you want to include any other files in the source and binary tarballs,
# list them here.  This can be anything from header files, test patches,
# documentation, etc. 
EXTRA_DIST = README.md LICENSE.txt Changelog.txt test.json

# unit tests and related files here, in the 'unittests' subfolder
UNITTESTS = 

HELPPATCHES = json-help.pd urlparams-help.pd rest-help.pd


#------------------------------------------------------------------------------#
#
# things you might need to edit if you are using other C libraries
#
#------------------------------------------------------------------------------#

ALL_CFLAGS = -I"$(PD_INCLUDE)" -std=c99
ALL_LDFLAGS =  
SHARED_LDFLAGS =
ALL_LIBS = -lcurl -ljson-c -loauth
LIBS_windows = -lpthread -lm -lidn -lintl -lwldap32 -lgnutls -lhogweed -lgmp -lssl \
			   -liconv -lnettle -lssh2 -lgcrypt -lgpg-error -lcrypto \
			   -lws2_32 -lgdi32 -lcrypt32 -lz  
CFLAGS_windows = -mthreads -DCURL_STATICLIB


#------------------------------------------------------------------------------#
#
# you shouldn't need to edit anything below here, if we did it right :)
#
#------------------------------------------------------------------------------#

# these can be set from outside without (usually) breaking the build
CFLAGS = -Wall -W -g
LDFLAGS =
LIBS =
CROSS =
CROSS_PATH = 

# get library version from meta file
LIBRARY_VERSION = $(shell sed -n 's|^\#X text [0-9][0-9]* [0-9][0-9]* VERSION \(.*\);|\1|p' $(LIBRARY_NAME)-meta.pd)

SOURCES := $(addprefix src/,$(addsuffix .c,$(OBJECTS)))
SOURCE_FOLDERS := src src/inc src/uthash/src
OBJ_FILES := $(addsuffix .o,$(OBJECTS)))

ALL_CFLAGS += -DPD -DVERSION='"$(LIBRARY_VERSION)"'

PD_INCLUDE = $(PD_PATH)/include/pd
# where to install the library, overridden below depending on platform
prefix = /usr/local
libdir = $(prefix)/lib
pkglibdir = $(libdir)/pd-externals
objectsdir = $(pkglibdir)

INSTALL = install
INSTALL_PROGRAM = $(INSTALL) -p -m 644
INSTALL_DATA = $(INSTALL) -p -m 644
INSTALL_DIR     = $(INSTALL) -p -m 755 -d

ALLSOURCES := $(SOURCES) $(SOURCES_android) $(SOURCES_cygwin) $(SOURCES_macosx) \
	         $(SOURCES_iphoneos) $(SOURCES_linux) $(SOURCES_windows) \
			 $(addprefix src/inc/,ctw.c kvp.c string.c strlist.c)

DISTDIR=$(LIBRARY_NAME)-$(LIBRARY_VERSION)
ORIGDIR=pd-`echo $(LIBRARY_NAME:~=)|tr '_' '-'`_$(LIBRARY_VERSION)

UNAME := $(shell uname -s)
ifeq ($(UNAME),Darwin)
  CPU := $(shell uname -p)
  ifeq ($(CPU),arm) # iPhone/iPod Touch
    SOURCES += $(SOURCES_iphoneos)
    EXTENSION = pd_darwin
    SHARED_EXTENSION = dylib
    OS = iphoneos
    PD_PATH = /Applications/Pd-extended.app/Contents/Resources
    IPHONE_BASE=/Developer/Platforms/iPhoneOS.platform/Developer/usr/bin
    CC=$(IPHONE_BASE)/gcc
    CPP=$(IPHONE_BASE)/cpp
    CXX=$(IPHONE_BASE)/g++
    ISYSROOT = -isysroot /Developer/Platforms/iPhoneOS.platform/Developer/SDKs/iPhoneOS3.0.sdk
    IPHONE_CFLAGS = -miphoneos-version-min=3.0 $(ISYSROOT) -arch armv6
    OPT_CFLAGS = -fast -funroll-loops -fomit-frame-pointer
    ALL_CFLAGS := $(IPHONE_CFLAGS) $(ALL_CFLAGS)
    ALL_LDFLAGS += -arch armv6 -bundle -undefined dynamic_lookup $(ISYSROOT)
    SHARED_LDFLAGS += -arch armv6 -dynamiclib -undefined dynamic_lookup $(ISYSROOT)
    ALL_LIBS += -lc $(LIBS_iphoneos)
    STRIP = strip -x
    DISTBINDIR=$(DISTDIR)-$(OS)
  else # Mac OS X
    SOURCES += $(SOURCES_macosx)
    EXTENSION = pd_darwin
    SHARED_EXTENSION = dylib
    OS = macosx
    PD_PATH = /Applications/Pd-extended.app/Contents/Resources
    OPT_CFLAGS = -ftree-vectorize -ftree-vectorizer-verbose=2 -fast
# build universal 32-bit on 10.4 and 32/64 on newer
    ifeq ($(shell uname -r | sed 's|\([0-9][0-9]*\)\.[0-9][0-9]*\.[0-9][0-9]*|\1|'), 8)
      FAT_FLAGS = -arch ppc -arch i386 -mmacosx-version-min=10.4
    else
      SOURCES += $(SOURCES_iphoneos)
# Starting with Xcode 4.0, the PowerPC compiler is not installed by default
      ifeq ($(wildcard /usr/llvm-gcc-4.2/libexec/gcc/powerpc*), )
        FAT_FLAGS = -arch x86_64 -mmacosx-version-min=10.5
      else
        FAT_FLAGS = -arch ppc -arch i386 -arch x86_64 -mmacosx-version-min=10.4
      endif
    endif
    ALL_CFLAGS += $(FAT_FLAGS) -fPIC -I/sw/include
    # if the 'pd' binary exists, check the linking against it to aid with stripping
    BUNDLE_LOADER = $(shell test ! -e $(PD_PATH)/bin/pd || echo -bundle_loader $(PD_PATH)/bin/pd)
    ALL_LDFLAGS += $(FAT_FLAGS) -headerpad_max_install_names -bundle $(BUNDLE_LOADER) \
	-undefined dynamic_lookup -L/sw/lib
    SHARED_LDFLAGS += $(FAT_FLAGS) -dynamiclib -undefined dynamic_lookup \
	-install_name @loader_path/$(SHARED_LIB) -compatibility_version 1 -current_version 1.0
    ALL_LIBS += -lc $(LIBS_macosx)
    STRIP = strip -x
    DISTBINDIR=$(DISTDIR)-$(OS)
# install into ~/Library/Pd on Mac OS X since /usr/local isn't used much
    pkglibdir=$(HOME)/Library/Pd
  endif
endif
# Tho Android uses Linux, we use this fake uname to provide an easy way to
# setup all this things needed to cross-compile for Android using the NDK
ifeq ($(UNAME),ANDROID)
  CPU := arm
  SOURCES += $(SOURCES_android)
  EXTENSION = so
  SHARED_EXTENSION = so
  OS = android
  PD_PATH = /usr
  NDK_BASE := /usr/local/android-ndk
  NDK_PLATFORM_LEVEL ?= 5
  NDK_ABI=arm
  NDK_SYSROOT=$(NDK_BASE)/platforms/android-$(NDK_PLATFORM_LEVEL)/arch-$(NDK_ABI)
  NDK_UNAME := $(shell uname -s | tr '[A-Z]' '[a-z]')
  NDK_COMPILER_VERSION=4.6
  NDK_TOOLCHAIN=$(wildcard \
	$(NDK_BASE)/toolchains/$(NDK_ABI)*-$(NDK_COMPILER_VERSION)/prebuilt/$(NDK_UNAME)-x86)
  CC := $(wildcard $(NDK_TOOLCHAIN)/bin/*-linux-android*-gcc) --sysroot=$(NDK_SYSROOT)
  OPT_CFLAGS = -O6 -funroll-loops -fomit-frame-pointer
  CFLAGS += 
  LDFLAGS += -rdynamic -shared
  SHARED_LDFLAGS += -Wl,-soname,$(SHARED_LIB) -shared
  LIBS += -lc $(LIBS_android)
  STRIP := $(wildcard $(NDK_TOOLCHAIN)/bin/$(NDK_ABI)-linux-android*-strip) \
	--strip-unneeded -R .note -R .comment
  DISTBINDIR=$(DISTDIR)-$(OS)-$(shell uname -m)
endif
ifeq ($(UNAME),Linux)
  CPU := $(shell uname -m)
  SOURCES += $(SOURCES_linux)
  EXTENSION = pd_linux
  SHARED_EXTENSION = so
  OS = linux
  PD_PATH = /usr
  OPT_CFLAGS = -O6 -funroll-loops -fomit-frame-pointer
  ALL_CFLAGS += -fPIC
  ALL_LDFLAGS += -rdynamic -shared -fPIC -Wl,-rpath,"\$$ORIGIN",--enable-new-dtags
  SHARED_LDFLAGS += -Wl,-soname,$(SHARED_LIB) -shared
  ALL_LIBS += -lc $(LIBS_linux)
  STRIP = strip --strip-unneeded -R .note -R .comment
  DISTBINDIR=$(DISTDIR)-$(OS)-$(shell uname -m)
endif
ifeq ($(UNAME),GNU)
  # GNU/Hurd, should work like GNU/Linux for basically all externals
  CPU := $(shell uname -m)
  SOURCES += $(SOURCES_linux)
  EXTENSION = pd_linux
  SHARED_EXTENSION = so
  OS = linux
  PD_PATH = /usr
  OPT_CFLAGS = -O6 -funroll-loops -fomit-frame-pointer
  ALL_CFLAGS += -fPIC
  ALL_LDFLAGS += -rdynamic -shared -fPIC -Wl,-rpath,"\$$ORIGIN",--enable-new-dtags
  SHARED_LDFLAGS += -shared -Wl,-soname,$(SHARED_LIB)
  ALL_LIBS += -lc $(LIBS_linux)
  STRIP = strip --strip-unneeded -R .note -R .comment
  DISTBINDIR=$(DISTDIR)-$(OS)-$(shell uname -m)
endif
ifeq ($(UNAME),GNU/kFreeBSD)
  # Debian GNU/kFreeBSD, should work like GNU/Linux for basically all externals
  CPU := $(shell uname -m)
  SOURCES += $(SOURCES_linux)
  EXTENSION = pd_linux
  SHARED_EXTENSION = so
  OS = linux
  PD_PATH = /usr
  OPT_CFLAGS = -O6 -funroll-loops -fomit-frame-pointer
  ALL_CFLAGS += -fPIC
  ALL_LDFLAGS += -rdynamic -shared -fPIC -Wl,-rpath,"\$$ORIGIN",--enable-new-dtags
  SHARED_LDFLAGS += -shared -Wl,-soname,$(SHARED_LIB)
  ALL_LIBS += -lc $(LIBS_linux)
  STRIP = strip --strip-unneeded -R .note -R .comment
  DISTBINDIR=$(DISTDIR)-$(OS)-$(shell uname -m)
endif
ifeq (CYGWIN,$(findstring CYGWIN,$(UNAME)))
  CPU := $(shell uname -m)
  SOURCES += $(SOURCES_cygwin)
  EXTENSION = dll
  SHARED_EXTENSION = dll
  OS = cygwin
  PD_PATH = $(shell cygpath $$PROGRAMFILES)/pd
  OPT_CFLAGS = -O6 -funroll-loops -fomit-frame-pointer
  ALL_CFLAGS += 
  ALL_LDFLAGS += -rdynamic -shared -L"$(PD_PATH)/src" -L"$(PD_PATH)/bin"
  SHARED_LDFLAGS += -shared -Wl,-soname,$(SHARED_LIB)
  ALL_LIBS += -lc -lpd $(LIBS_cygwin)
  STRIP = strip --strip-unneeded -R .note -R .comment
  DISTBINDIR=$(DISTDIR)-$(OS)
endif
ifeq (MINGW,$(findstring MINGW,$(UNAME)))
  CPU := $(shell uname -m)
  SOURCES += $(SOURCES_windows)
  EXTENSION = dll
  SHARED_EXTENSION = dll
  OS = windows
  ifeq ($(strip $(PD_PATH)),)
    PD_PATH = $(shell cd "$$PROGRAMFILES/pd" && pwd)
  endif
  # MinGW doesn't seem to include cc so force gcc
  CC=gcc
  ifneq ($(strip $(CROSS)),)
    CC = $(CROSS)-gcc
    LD = $(CROSS)-ld
    AR = $(CROSS)-ar
    CFLAGS += -I$(CROSS_PATH)/$(CROSS)/include
    LDFLAGS += -L$(CROSS_PATH)/$(CROSS)/bin -L$(CROSS_PATH)/$(CROSS)/lib
    PATH := ${PATH}:$(CROSS_PATH)/bin
  endif
  OPT_CFLAGS = -O3 -funroll-loops -fomit-frame-pointer
  ALL_CFLAGS += -mms-bitfields -I"$(PD_PATH)/src"  $(CFLAGS_windows)
  ALL_LDFLAGS += -s -shared -Wl,--enable-auto-import -L"$(PD_PATH)/src" -L"$(PD_PATH)/bin" -L"$(PD_PATH)/obj"
  SHARED_LDFLAGS += -shared -L"$(PD_PATH)/src" -L"$(PD_PATH)/bin" -L"$(PD_PATH)/obj"
  ALL_LIBS += -lpd -lwsock32 -lkernel32 -luser32 $(LIBS_windows)
  STRIP = strip --strip-unneeded -R .note -R .comment
  DISTBINDIR=$(DISTDIR)-$(OS)
endif

# in case somebody manually set the HELPPATCHES above
HELPPATCHES ?= $(SOURCES:.c=-help.pd) $(PDOBJECTS:.pd=-help.pd)

ALL_CFLAGS := $(ALL_CFLAGS) $(CFLAGS) $(OPT_CFLAGS)
ALL_LDFLAGS := $(LDFLAGS) $(ALL_LDFLAGS)
ALL_LIBS := $(LIBS) $(ALL_LIBS)

SHARED_SOURCE ?= $(wildcard lib$(LIBRARY_NAME).c)
SHARED_HEADER ?= $(shell test ! -e $(LIBRARY_NAME).h || echo $(LIBRARY_NAME).h)
SHARED_LIB ?= $(SHARED_SOURCE:.c=.$(SHARED_EXTENSION))
SHARED_TCL_LIB = $(wildcard lib$(LIBRARY_NAME).tcl)

.PHONY = install libdir_install single_install install-doc install-examples install-manual install-unittests clean distclean dist etags $(LIBRARY_NAME)

all: $(addsuffix .$(EXTENSION),$(OBJECTS)) $(SHARED_LIB)

%.o: src/%.c
	$(CC) $(ALL_CFLAGS) -o "$*.o" -c "src/$*.c"

%.$(EXTENSION): %.o $(SHARED_LIB)
	$(CC) $(ALL_LDFLAGS) -o "$*.$(EXTENSION)" "$*.o"  $(ALL_LIBS) $(SHARED_LIB)
	chmod a-x "$*.$(EXTENSION)"
	rm -f "$*.o"

# this links everything into a single binary file
$(LIBRARY_NAME)_vars: 
	$(eval ALL_CFLAGS += -DPUREST_JSON_LIB)

$(LIBRARY_NAME): $(LIBRARY_NAME)_vars  $(OBJ_FILES)h $(LIBRARY_NAME).o
	$(CC) $(ALL_LDFLAGS) -o $(LIBRARY_NAME).$(EXTENSION) $(OBJ_FILES) \
		$(LIBRARY_NAME).o  $(ALL_LIBS)
	chmod a-x $(LIBRARY_NAME).$(EXTENSION)

$(SHARED_LIB): $(SHARED_SOURCE:.c=.o)
	$(CC) $(SHARED_LDFLAGS) -o $(SHARED_LIB) $(SHARED_SOURCE:.c=.o) $(ALL_LIBS)

install: libdir_install

# The meta and help files are explicitly installed to make sure they are
# actually there.  Those files are not optional, then need to be there.
libdir_install: $(addsuffix .$(EXTENSION),$(OBJECTS)) $(SHARED_LIB) install-doc install-examples install-manual install-unittests
	$(INSTALL_DIR) $(DESTDIR)$(objectsdir)/$(LIBRARY_NAME)
	$(INSTALL_DATA) $(LIBRARY_NAME)-meta.pd \
		$(DESTDIR)$(objectsdir)/$(LIBRARY_NAME)
	test -z "$(strip $(SOURCES))" || (\
		$(INSTALL_PROGRAM) $(addsuffix .$(EXTENSION),$(OBJECTS)) $(DESTDIR)$(objectsdir)/$(LIBRARY_NAME) && \
		$(STRIP) $(addprefix $(DESTDIR)$(objectsdir)/$(LIBRARY_NAME)/,$(addsuffix .$(EXTENSION),$(OBJECTS))))
	test -z "$(strip $(SHARED_LIB))" || \
		$(INSTALL_DATA) $(SHARED_LIB) \
			$(DESTDIR)$(objectsdir)/$(LIBRARY_NAME)
	test -z "$(strip $(wildcard $(SOURCES:.c=.tcl)))" || \

=== debian/changelog ===
pd-purest-json (1.4.0~repack-2) unstable; urgency=medium

  * Fixed debian/watch
  * Re-arranged Depends
  * Bumped standard version to 3.9.7

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 16 Feb 2016 13:08:08 +0100

pd-purest-json (1.4.0~repack-1) unstable; urgency=medium

  * Initial release. (Closes: #804490)

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sat, 09 Jan 2016 21:04:37 +0100

=== debian/control ===
Source: pd-purest-json
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>
Build-Depends: cdbs (>= 0.4.91~),
 debhelper,
 dh-buildinfo,
 puredata-dev | puredata,
 libjson-c-dev,
 libcurl4-gnutls-dev | libcurl4-openssl-dev,
 uthash-dev,
 liboauth-dev
Standards-Version: 3.9.7
Homepage: https://github.com/residuum/PuRestJson
Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/pd-purest-json.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/pd-purest-json.git

Package: pd-purest-json
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 puredata-core | pd
Recommends: pd-libdir
Suggests: couchdb
Description: Pd library for working with JSON data and RESTful webservices
 PuREST JSON is a library for Pure Data (Pd) for decoding and encoding JSON
 data.
 The library can issue HTTP statements, so consumation of RESTful services is
 possible, e.g. CouchDB.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright © 2015 IOhannes m zmölnig <umlaeute@debian.org>
# Description: Main Debian packaging script for PuRestJson

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk
include /usr/share/cdbs/1/class/pd.mk
include /usr/share/cdbs/1/rules/utils.mk

CDBS_BUILD_DEPENDS_rules_utils_copyright-check =
CDBS_BUILD_DEPENDS_rules_utils_buildinfo =

DEB_COPYRIGHT_CHECK_IGNORE_REGEX = \
        ^(manual/.*\.png|debian/(changelog|copyright(|_hints|_newhints)))$

CFLAGS+=$(CPPFLAGS) -I/usr/include/pd

build/pd-purest-json::
	cp README.md README.txt

clean::
	rm -f README.txt

=== debian/watch ===
# Run the "uscan" command to check for upstream updates and more. 
version=4
opts=dversionmangle=s/[~+](dfsg|repack)(\.\d*)?$//,filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/PuRestJson-$1\.tar\.gz/ \
  https://github.com/residuum/PuRestJson/tags .*/v?(\d\S*)\.tar\.gz

## pd-purest-json 1.4.1

=== Makefile ===
lib.name = purest_json

OBJECTS = rest oauth json-decode json-encode urlparams 
PDOBJECTS = 
EXAMPLES = purest-json-test.pd the-sound-of-money.pd statistics.pd twitter-client.pd binary-test.pd
EXTRA_DIST = README.md LICENSE.txt Changelog.txt test.json
HELPPATCHES = json-help.pd urlparams-help.pd rest-help.pd
UNITTESTS = 

datafiles = $(EXTRA_DIST) $(HELPPATCHES)
examplefiles = $(addprefix examples/, $(EXAMPLES))
class.sources = $(addprefix src/, $(OBJECTS))
uthash = src/uthash/src

cflags += -DVERSION='"$(lib.version)"' -I"$(uthash)" -std=c99 
ldflags = 
ldlibs = -lcurl -ljson-c -loauth

define forWindows
    ldlibs += -lpthread -lm -lidn -lintl -lwldap32 -lgnutls -lhogweed -lgmp -lssl \
		-liconv -lnettle -lssh2 -lgcrypt -lgpg-error -lcrypto \
		-lws2_32 -lgdi32 -lcrypt32 -lz  
    cflags += -mthreads -DCURL_STATICLIB
endef

lib.setup.sources = src/purest_json

# file for creating deken package
ifeq ($(findstring $(machine), x86_64 ia64), $(machine))
  deken.bits = 64
else
  deken.bits = 32
endif
ifeq ($(system), Windows)
  deken.ext = zip
  deken.pack = zip -9 -r
else
  deken.ext = tar.gz
  deken.pack = tar -zcvf
endif
deken.file = $(lib.name)-v$(lib.version)-($(system)-$(machine)-$(deken.bits))-externals
deken.tmp = deken-tmp
deken.folder = $(lib.name)

include pd-lib-builder/Makefile.pdlibbuilder

deken:
	mkdir -p "$(deken.tmp)"
	mkdir "$(deken.tmp)/$(deken.folder)"
	cp $(executables) "$(deken.tmp)/$(deken.folder)/"
	cp $(datafiles) "$(deken.tmp)/$(deken.folder)/"
	mkdir "$(deken.tmp)/$(deken.folder)/examples"
	cp -r manual "$(deken.tmp)/$(deken.folder)/"
	cp $(examplefiles) "$(deken.tmp)/$(deken.folder)/examples"
	cd "$(deken.tmp)"; \
	  $(deken.pack) "$(deken.file).$(deken.ext)" "$(deken.folder)"; \
	  rm -rf "$(deken.folder)"; \
	  mv "$(deken.file).$(deken.ext)" ..

=== debian/changelog ===
pd-purest-json (1.4.1-1) unstable; urgency=medium

  * Imported Upstream version 1.4.1

  * No longer repack upstream, since they have dropped debian/
  * Dropped patches applied upstream.
  * Use Makefile.pdlibbuilder provided in debian/
  * Updated copyright information
  * Documented how to properly clone the packaging repo with gbp.
  * Bumped standards version to 3.9.8

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 09 Aug 2016 11:57:49 +0200

## pd-purest-json 1.4.2

=== Makefile ===
--- 
+++ 
@@ -21,6 +21,11 @@
 		-liconv -lnettle -lssh2 -lgcrypt -lgpg-error -lcrypto \
 		-lws2_32 -lgdi32 -lcrypt32 -lz  
     cflags += -mthreads -DCURL_STATICLIB
+    datafiles += cacert.pem
+endef
+
+define forDarwin
+    datafiles += cacert.pem *.dylib
 endef
 
 lib.setup.sources = src/purest_json
@@ -55,4 +60,4 @@
 	cd "$(deken.tmp)"; \
 	  $(deken.pack) "$(deken.file).$(deken.ext)" "$(deken.folder)"; \
 	  rm -rf "$(deken.folder)"; \
-	  mv "$(deken.file).$(deken.ext)" ..
+	  mv "$(deken.file).$(deken.ext)" ..;

=== debian/changelog ===
pd-purest-json (1.4.2-3) unstable; urgency=medium

  * Switched to system-provided Makefile.pdlibbuilder
    * Patch to use arbistrary pdlibbuilder Makefile
    * Dropped d/Makefile.pdlibbuilder & updated d/copyright

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 05 Feb 2018 14:44:51 +0100

pd-purest-json (1.4.2-2) unstable; urgency=medium

  * Switched buildsystem from dh to cdbs
    * Bumped dh compat to 11
    * Enabled hardening
  * Updated Vcs-* stanzas to salsa.d.o
  * Updated maintainer address
  * Removed trailing whitespace in debian/*
  * Switched URLs to https://
  * Updated d/copyright_hints
  * Bumped standards version to 4.1.3

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 01 Feb 2018 23:34:27 +0100

pd-purest-json (1.4.2-1) unstable; urgency=medium

  * New upstream version 1.4.2

  * Refreshed patches
  * Removed doc-base
    * point to online manual
  * Bumped d/compat to 9

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 03 Jan 2017 16:58:28 +0100

=== debian/control ===
Source: pd-purest-json
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
Build-Depends:
 debhelper (>=11~),
 dh-buildinfo,
 puredata-dev | puredata,
 pd-lib-builder,
 libjson-c-dev,
 libcurl4-gnutls-dev | libcurl4-openssl-dev,
 uthash-dev,
 liboauth-dev,
Standards-Version: 4.1.3
Homepage: https://github.com/residuum/PuRestJson
Vcs-Git: https://salsa.debian.org/multimedia-team/pd/pd-purest-json.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/pd/pd-purest-json

Package: pd-purest-json
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 puredata-core | pd,
Recommends:
 pd-libdir,
Suggests:
 couchdb,
Description: Pd library for working with JSON data and RESTful webservices
 PuREST JSON is a library for Pure Data (Pd) for decoding and encoding JSON
 data.
 The library can issue HTTP statements, so consumation of RESTful services is
 possible, e.g. CouchDB.

=== debian/rules ===
#!/usr/bin/make -f
# Copyright © 2010 Hans-Christoph Steiner <hans@eds.org>
# Copyright © 2018 IOhannes m zmölnig <umlaeute@debian.org>

#enable hardening
export DEB_BUILD_MAINT_OPTIONS=hardening=+all
DEB_COPYRIGHT_CHECK_IGNORE_REGEX = \
	^\./\.git/.*|\./debian/|\./manual/.*\.png$

pkglibdir = /usr/lib/pd/extra

CFLAGS += $(shell pkg-config --cflags pd)
LDFLAGS += $(shell pkg-config --libs pd)
LDFLAGS += -Wl,-as-needed


%:
	dh $@

override_dh_build:
	dh_build
	cp README.md README.txt

override_dh_install:
	dh_install
# fix permissions
	find $(CURDIR)/debian/*/$(pkglibdir) -name "*.pd_linux" -exec \
		chmod 0664 {} +
# remove license file so we can replace it with link to the Debian license file
	rm -f -- $(CURDIR)/debian/*/$(pkglibdir)/*/LICENSE.txt

override_dh_clean:
	dh_clean
	rm -f README.txt

override_dh_auto_clean \
override_dh_auto_build \
override_dh_auto_test \
override_dh_auto_install:
	$(patsubst override_%,%,$@) -- \
		PDLIBBUILDER_DIR=/usr/share/pd-lib-builder/ \
		prefix=/usr pkglibdir=$(pkglibdir) \
		arch.flags="" \
		CPPFLAGS="$(CPPFLAGS)" \
		CFLAGS="$(CPPFLAGS) $(CFLAGS)" \
		LDFLAGS="$(LDFLAGS)" \
		$(empty)

licensecheck:
	licensecheck -i "$(DEB_COPYRIGHT_CHECK_IGNORE_REGEX)" --deb-machine -r . \
		> debian/copyright_newhints
	cmp debian/copyright_hints debian/copyright_newhints \
		&& rm debian/copyright_newhints

## pd-purest-json 1.4.3

=== Makefile ===
lib.name = purest_json

OBJECTS = rest.c oauth.c json-decode.c json-encode.c urlparams.c 
PDOBJECTS = 
EXAMPLES = purest-json-test.pd the-sound-of-money.pd statistics.pd twitter-client.pd binary-test.pd
EXTRA_DIST = README.md LICENSE.txt Changelog.txt test.json
HELPPATCHES = json-help.pd urlparams-help.pd rest-help.pd
UNITTESTS = 

datafiles = $(EXTRA_DIST) $(HELPPATCHES)
examplefiles = $(addprefix examples/, $(EXAMPLES))
class.sources = $(addprefix src/, $(OBJECTS))
uthash = src/uthash/src

cflags += -DVERSION='"$(lib.version)"' -I"$(uthash)" -std=c99 
ldflags = 
ldlibs = -lcurl -ljson-c -loauth

define forWindows
    ldlibs += -lpthread -lm -lwldap32 -lssl -lssh2 -lgcrypt -lgpg-error \
			  -lcrypto -lws2_32 -lgdi32 -lcrypt32 -lz -lidn2 -lunistring \
			  -latomic -lintl -liconv -lcharset
    cflags += -mthreads -DCURL_STATICLIB
endef

define forDarwin
    datafiles += cacert.pem *.dylib
endef

lib.setup.sources = src/purest_json.c

# creating deken package
deken.bits=32
deken.ext=dek
deken.pack=zip -9 -r
deken.file= $(lib.name)[v$(lib.version)]($(system)-$(machine)-$(deken.bits))
deken.tmp=deken-tmp
deken.folder=$(lib.name)

PDLIBBUILDER_DIR=pd-lib-builder
include $(PDLIBBUILDER_DIR)/Makefile.pdlibbuilder

deken:
	mkdir -p "$(deken.tmp)"
	mkdir "$(deken.tmp)/$(deken.folder)"
	cp $(executables) "$(deken.tmp)/$(deken.folder)/"
	cp $(datafiles) "$(deken.tmp)/$(deken.folder)/"
	mkdir "$(deken.tmp)/$(deken.folder)/examples"
	cp -r manual "$(deken.tmp)/$(deken.folder)/"
	cp $(examplefiles) "$(deken.tmp)/$(deken.folder)/examples"
	cd "$(deken.tmp)"; \
	  $(deken.pack) "$(deken.file).$(deken.ext)" "$(deken.folder)"; \
	  rm -rf "$(deken.folder)"; \
	  mv "$(deken.file).$(deken.ext)" ..; \

=== debian/changelog ===
pd-purest-json (1.4.3-2) unstable; urgency=medium

  * Patch to fix reading of json-data (Closes: #984787)

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 08 Mar 2021 13:14:11 +0100

pd-purest-json (1.4.3-1) unstable; urgency=medium

  * New upstream version 1.4.3
    * Drop patches applied upstream
    * Remove obsolete "is_error" replacement
  * Refresh d/copyright
    * Regenerated d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 09 Dec 2019 22:47:59 +0100

pd-purest-json (1.4.2-5) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat

  [ IOhannes m zmölnig ]
  * Inject is_error() fallback
  * Declare that building this package doesn't require "root" powers
  * Drop obsolete file d/source/local-options
  * Bump dh compat to 12
  * Bump standards version to 4.4.1

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 29 Oct 2019 13:49:38 +0100

pd-purest-json (1.4.2-4) unstable; urgency=medium

  * Dropped override_dh_(build,clean) in favour of using symlinks
    (Closes: #900292)
  * Fixed spelling error in d/changelog
  * Bumped standards version to 4.1.5

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 17 Jul 2018 09:29:44 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: pd-purest-json
+Standards-Version: 4.4.1
 Section: sound
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
 Build-Depends:
- debhelper (>=11~),
+ debhelper-compat (= 12),
  dh-buildinfo,
  puredata-dev | puredata,
  pd-lib-builder,
@@ -13,7 +14,7 @@
  libcurl4-gnutls-dev | libcurl4-openssl-dev,
  uthash-dev,
  liboauth-dev,
-Standards-Version: 4.1.3
+Rules-Requires-Root: no
 Homepage: https://github.com/residuum/PuRestJson
 Vcs-Git: https://salsa.debian.org/multimedia-team/pd/pd-purest-json.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/pd/pd-purest-json

## pd-purest-json 2.0.1

=== Makefile ===
lib.name = purest_json

OBJECTS = rest.c oauth.c json-decode.c json-encode.c urlparams.c 
PDOBJECTS = 
EXAMPLES = purest-json-test.pd the-sound-of-money.pd twitter-client.pd binary-test.pd
EXTRA_DIST = README.md LICENSE.txt Changelog.txt test.json
HELPPATCHES = json-help.pd urlparams-help.pd rest-help.pd
UNITTESTS = 

datafiles = $(EXTRA_DIST) $(HELPPATCHES)
examplefiles = $(addprefix examples/, $(EXAMPLES))
class.sources = $(addprefix src/, $(OBJECTS))
uthash = src/uthash/src

# creating deken package
deken.bits = 32
deken.ext = dek
deken.pack = zip -9 -r
deken.tmp = deken-tmp
deken.folder = $(lib.name)
deken.dependencies =

multi_cflags =
ifeq ($(multi), true)
    multi_cflags = -DPDINSTANCE
endif

cflags += -DVERSION='"$(lib.version)"' -I"$(uthash)" -std=c99 $(multi_cflags)
ldflags = 
ldlibs = -lcurl -ljson-c -loauth

define forWindows
    ldlibs += -lpthread -lm -lwldap32 -lssl -lssh2 -lbcrypt -lgcrypt -lgpg-error \
			  -lcrypto -lws2_32 -lgdi32 -lcrypt32 -lz -lidn2 -lunistring \
			  -latomic -lintl -liconv -lcharset
    cflags += -mthreads -DCURL_STATICLIB
endef

define forDarwin
    ldflags = $(patsubst %,-L%,$(wildcard /opt/homebrew/lib))
	ldflags += "-L/usr/local/opt/curl/lib"
	cflags += "-I/usr/local/opt/curl/include"
    deken.dependencies = *.dylib
endef

define forLinux
    deken.dependencies = *.so*
endef

lib.setup.sources = src/purest_json.c

PDLIBBUILDER_DIR=pd-lib-builder
include $(PDLIBBUILDER_DIR)/Makefile.pdlibbuilder

space := $(subst ,, )
deken.systems := $(foreach m,$(machine),($(system)-$(m)-$(deken.bits)))
deken.systemscleaned := $(subst $(space),,$(deken.systems))
deken.file := $(lib.name)[v$(lib.version)]$(deken.systemscleaned)

deken:
	mkdir -p "$(deken.tmp)"
	mkdir -p "$(deken.tmp)/$(deken.folder)"
	cp $(executables) $(deken.dependencies) "$(deken.tmp)/$(deken.folder)/"
	cp $(datafiles) "$(deken.tmp)/$(deken.folder)/"
	mkdir -p "$(deken.tmp)/$(deken.folder)/examples"
	cp -r manual "$(deken.tmp)/$(deken.folder)/"
	cp $(examplefiles) "$(deken.tmp)/$(deken.folder)/examples"
	cd "$(deken.tmp)"; \
	  $(deken.pack) "$(deken.file).$(deken.ext)" "$(deken.folder)"; \
	  rm -rf "$(deken.folder)"; \
	  mv "$(deken.file).$(deken.ext)" ..; \

clobber: clean
	rm -f $(deken.dependencies)

=== debian/changelog ===
pd-purest-json (2.0.1-4) unstable; urgency=medium

  * Team Upload
  * Remove obsolete blurb about CDBS from d/README.source
  * Remove obsolete build-dep dh-buildinfo
  * Set tandards-Version: 4.7.2
  * Remove 'Rules-Requires-Root: no': it's the default now

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Update git repository layout to follow DEP-14

 -- Alexandre Detiste <tchet@debian.org>  Sun, 17 Aug 2025 20:09:39 +0200

pd-purest-json (2.0.1-3) unstable; urgency=medium

  * Re-build for both single and double-precision Pd

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 05 Jul 2023 15:34:01 +0200

pd-purest-json (2.0.1-2) unstable; urgency=medium

  * Explicitly set buildsystem to 'pd_lib_builder' (Closes: #1026684)
  * Remove superfluous deletion of LICENSE.txt prior to symlinking it.
  * Ensure that 'licensecheck' is run with the C.UTF-8 locale
  * Bump standards version to 4.6.2

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 20 Dec 2022 22:05:19 +0100

pd-purest-json (2.0.1-1) unstable; urgency=medium

  * New upstream version 2.0.1
    + Drop patches applied upstream
  * Switch to dh-sequence-pd-lib-builder
  * Update d/copyright
    + Modernize 'licensecheck' target
    + Regenerate d/copyright_hints
  * Apply 'wrap-and-sort -ast'

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sun, 04 Dec 2022 22:30:22 +0100

pd-purest-json (1.4.3-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit,
    Repository, Repository-Browse.

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Add salsa-ci configuration
  * Apply "warp-and-sort -ast"
  * Bump dh-compat to 13
  * Bump standards version to 4.6.1

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sun, 04 Sep 2022 14:42:20 +0200

=== debian/control ===
Source: pd-purest-json
Standards-Version: 4.7.2
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-pd-lib-builder,
 libcurl4-gnutls-dev | libcurl4-openssl-dev,
 libjson-c-dev,
 liboauth-dev,
 uthash-dev,
Homepage: https://github.com/residuum/PuRestJson
Vcs-Git: https://salsa.debian.org/multimedia-team/pd/pd-purest-json.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/pd/pd-purest-json

Package: pd-purest-json
Architecture: any
Depends:
 ${misc:Depends},
 ${puredata:Depends},
 ${shlibs:Depends},
Recommends:
 ${puredata:Recommends},
Suggests:
 couchdb,
 ${puredata:Suggests},
Description: Pd library for working with JSON data and RESTful webservices
 PuREST JSON is a library for Pure Data (Pd) for decoding and encoding JSON
 data.
 The library can issue HTTP statements, so consumation of RESTful services is
 possible, e.g. CouchDB.

=== debian/watch ===
# Run the "uscan" command to check for upstream updates and more.
version=4
opts=dversionmangle=s/[~+](dfsg|repack)(\.\d*)?$//,filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/PuRestJson-$1\.tar\.gz/ \
  https://github.com/residuum/PuRestJson/tags .*/v?(\d\S*)\.tar\.gz
